//
//  IvrUtils.m
//  iTrace
//
//  Created by rfid on 13-10-14.
//  Copyright (c) 2013 . All rights reserved.
//

#import "IvrUtils.h"

@implementation IvrUtils

+(UInt8*) stringToByteArray: (NSString*) value {
    UInt8* bytes = (UInt8*)malloc((int)[value length] / 2);
    for (int i = 0; i < [value length]; i += 2) {
        unsigned int anInt;
        NSString* hexChar = [value substringWithRange: NSMakeRange(i, 2)];
        NSScanner* scanner = [[[NSScanner alloc] initWithString: hexChar] autorelease];
        [scanner scanHexInt: &anInt];
        bytes[i / 2] = (UInt8) anInt;
    }
    return bytes;
}

+(NSString*) byteArrayToString:(UInt8[]) data index: (int) index count: (int) count {
    NSString *sData = @"";
    for (int i = 0; i < count; i++) {
        sData = [sData stringByAppendingFormat:@"%02X", data[index + i] & 0xFF];
    }
    return sData;
}

+(void) ShowMessage: (NSString*) msg {
    UIAlertView* alert = [[UIAlertView alloc] initWithTitle:@"Message" message:msg delegate:nil cancelButtonTitle:@"OK" otherButtonTitles: nil];
    [alert show];
    [alert release];
}

@end
