//
//  MainViewController.h
//  IvrJackExample
//
//  Created by rfid on 12-12-11.
//  Copyright 2012 . All rights reserved.
//

#import <UIKit/UIKit.h>
#import "IvrJackService.h"

@interface MainViewController : UIViewController<IvrJackDelegate, UITextFieldDelegate, UITextViewDelegate, UIAlertViewDelegate> {
	IBOutlet UILabel *lblStatus;
	IBOutlet UILabel *lblDate;
	IBOutlet UILabel *lblSN;
	IBOutlet UILabel *txtSN;
	IBOutlet UILabel *txtUID;
	IBOutlet UILabel *lblUID;
	IBOutlet UITextField *edtKey;
	IBOutlet UITextField *edtBlockNo;
	IBOutlet UILabel *lblKey;
	IBOutlet UILabel *lblBlockNo;
	IBOutlet UILabel *lblBlockData;
    IBOutlet UITextView *edtData;
	IBOutlet UIButton *btnQueryResult;
    IBOutlet UIButton *btnRead;
    IBOutlet UIButton *btnWrite;
	IBOutlet UIActivityIndicatorView *aivStatus;
    IBOutlet UILabel *lblBottom;
    IBOutlet UIImageView *imgBottom;
    //
    IBOutlet UIImageView *imgLogo;
    //
    float iPosY;
	BOOL bReadBlock;
	UInt8 data[32];
    UInt8 cardType;
    UInt8 ids[8];
    UInt8 blockNo;
    UInt8 pwds[6];
}

- (IBAction)btnQueryClick: (id) sender;
- (IBAction) btnWriteClick: (id) sender;
- (IBAction) btnReadClick: (id) sender;

@end
